Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.scheduler.def
Class CreateTimerAction

    java.lang.Object
      org.jbpm.graph.def.Action
          org.jbpm.scheduler.def.CreateTimerAction

All Implemented Interfaces:
  java.io.Serializable, ActionHandler, Parsable

    public class CreateTimerAction

extends Action

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.graph.def.Action
`actionDelegation, actionExpression, event, isAsync, isAsyncExclusive, isPropagationAllowed, name, processDefinition, referencedAction`

Constructor Summary
`CreateTimerAction()`

Method Summary
`protected Timer` | `createTimer(ExecutionContext executionContext)`
`void` | `execute(ExecutionContext executionContext)`
`java.lang.String` | `getDueDate()`
`java.lang.String` | `getRepeat()`
`Action` | `getTimerAction()`
`java.lang.String` | `getTimerName()`
`java.lang.String` | `getTransitionName()`
`void` | `read(org.dom4j.Element actionElement, JpdlXmlReader jpdlReader)`
`void` | `setDueDate(java.lang.String dueDateDuration)`
`void` | `setRepeat(java.lang.String repeatDuration)`
`void` | `setTimerAction(Action timerAction)`
`void` | `setTimerName(java.lang.String timerName)`
`void` | `setTransitionName(java.lang.String transitionName)`

Methods inherited from class org.jbpm.graph.def.Action
`acceptsPropagatedEvents, equals, getActionDelegation, getActionExpression, getEvent, getId, getName, getProcessDefinition, getReferencedAction, isAsync, isAsyncExclusive, isPropagationAllowed, setActionDelegation, setActionExpression, setAsync, setEvent, setName, setProcessDefinition, setPropagationAllowed, setReferencedAction, toString, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateTimerAction

    public CreateTimerAction()

Method Detail

### read

    public void read(org.dom4j.Element actionElement,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Action`

### execute

    public void execute(ExecutionContext executionContext)
                 throws java.lang.Exception

  Specified by:
    `execute` in interface `ActionHandler`
  Overrides:
    `execute` in class `Action`
  Throws:
    `java.lang.Exception`

### createTimer

    protected Timer createTimer(ExecutionContext executionContext)

### getDueDate

    public java.lang.String getDueDate()

### setDueDate

    public void setDueDate(java.lang.String dueDateDuration)

### getRepeat

    public java.lang.String getRepeat()

### setRepeat

    public void setRepeat(java.lang.String repeatDuration)

### getTransitionName

    public java.lang.String getTransitionName()

### setTransitionName

    public void setTransitionName(java.lang.String transitionName)

### getTimerName

    public java.lang.String getTimerName()

### setTimerName

    public void setTimerName(java.lang.String timerName)

### getTimerAction

    public Action getTimerAction()

### setTimerAction

    public void setTimerAction(Action timerAction)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD